package com.yihu.quota.service.cube;

import com.yihu.ehr.query.BaseJpaService;
import com.yihu.quota.dao.cube.CubeDao;
import com.yihu.quota.model.cube.Cube;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * Created by janseny on 2018/9/10.
 * @author janseny
 */
@Service
public class CubeService extends BaseJpaService<Cube, CubeDao> {

    @Autowired
    private CubeDao cubeDao;
    /**
     * 保存接口
     * @param cube
     * @return 保存之后的id
     */
    public Integer saveOlapCube(Cube cube) {
        cube = cubeDao.save(cube);
        return cube.getId();
    }

    public void deleteOlapCube(Integer id) {
        cubeDao.delete(id);
    }

    public Cube findOne(Integer id) {
        return cubeDao.findOne(id);
    }
}
